// Code generated by go-swagger; DO NOT EDIT.

package operations

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"
)

// EventOKCode is the HTTP code returned for type EventOK
const EventOKCode int = 200

/*EventOK JSONResponse struct

swagger:response eventOK
*/
type EventOK struct {
	/*

	 */
	Description string `json:"description"`
	/*

	 */
	Status string `json:"status"`
}

// NewEventOK creates EventOK with default headers values
func NewEventOK() *EventOK {

	return &EventOK{}
}

// WithDescription adds the description to the event o k response
func (o *EventOK) WithDescription(description string) *EventOK {
	o.Description = description
	return o
}

// SetDescription sets the description to the event o k response
func (o *EventOK) SetDescription(description string) {
	o.Description = description
}

// WithStatus adds the status to the event o k response
func (o *EventOK) WithStatus(status string) *EventOK {
	o.Status = status
	return o
}

// SetStatus sets the status to the event o k response
func (o *EventOK) SetStatus(status string) {
	o.Status = status
}

// WriteResponse to the client
func (o *EventOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	// response header description

	description := o.Description
	if description != "" {
		rw.Header().Set("description", description)
	}

	// response header status

	status := o.Status
	if status != "" {
		rw.Header().Set("status", status)
	}

	rw.Header().Del(runtime.HeaderContentType) //Remove Content-Type on empty responses

	rw.WriteHeader(200)
}
